Package com.collibra.dgc.importer.api.request

# Class SynchronizationExcelInJobRequest

Object
BaseImportRequest
FileSynchronizationRequest
FullSynchronizationRequest
SynchronizationExcelInJobRequest

All Implemented Interfaces:
  `Serializable`

public class SynchronizationExcelInJobRequest extends FullSynchronizationRequest
The request defining synchronization call properties from a Excel file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SynchronizationExcelInJobRequest.SynchronizationExcelInJobRequestBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `headerRow`
  Whether the first row of the synchronized Excel file is the header.
  `protected Integer`
  `sheetIndex`
  The index of the Excel sheet.
  `protected String`
  `sheetName`
  The name of the Excel sheet.
  `protected @NotBlank String`
  `template`
  The template that should be used for parsing and synchronizing the contents of the Excel file.

  ### Fields inherited from class FullSynchronizationRequest

  `finalizationStrategy, missingAssetStatusId`

  ### Fields inherited from class FileSynchronizationRequest

  `attributesAction, continueOnError, continueOnErrorRaw, deleteFile, file, fileId, fileName, relationsAction, synchronizationId`

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchronizationExcelInJobRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SynchronizationExcelInJobRequest.SynchronizationExcelInJobRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Map<SynchronizationJsonInJobRequest.SynchronizationJsonInJobRequestBuilder.CustomFinalizationParameter,String>`
  `getFinalizationParameters()`
  `Integer`
  `getSheetIndex()`
  The index of the Excel sheet.
  `String`
  `getSheetName()`
  The name of the Excel sheet.
  `String`
  `getTemplate()`
  The template that should be used for parsing and synchronizing the contents of the Excel file.
  `int`
  `hashCode()`
  `boolean`
  `isHeaderRow()`
  Whether the first row of the synchronized Excel file is the header.
  `String`
  `toString()`

  ### Methods inherited from class FullSynchronizationRequest

  `getFinalizationStrategy, getMissingAssetStatusId`

  ### Methods inherited from class FileSynchronizationRequest

  `getAttributesAction, getContinueOnErrorRaw, getFile, getFileId, getFileName, getRelationsAction, getSynchronizationId, isContinueOnError, isDeleteFile, setAttributesAction, setContinueOnError, setDeleteFile, setFile, setFileId, setFileName, setRelationsAction, setSynchronizationId`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sheetName

    protected String sheetName
    The name of the Excel sheet.

    If the name is `null` and `sheetIndex` is `null`, the first sheet of the workbook will be used for the synchronization.

    If the name is `null` and `sheetIndex` is not `null`, the sheet with the index specified by value of `sheetIndex` will be used for the synchronization.

  - ### sheetIndex

    protected Integer sheetIndex
    The index of the Excel sheet.

    If the index is `null` and `sheetName` is `null`, the first sheet of the workbook will be used for the synchronization.

    If the index is `null` and `sheetName` is not `null`, the sheet with the name specified by value of `sheetName` will be used for the synchronization.

  - ### headerRow

    protected boolean headerRow
    Whether the first row of the synchronized Excel file is the header. The default value is `false`.

  - ### template

    @NotBlank protected @NotBlank String template
    The template that should be used for parsing and synchronizing the contents of the Excel file.

    There is one placeholder currently supported:

    - ${x} - refers to the x-th column in the Excel file, e.g. ${1}, ${2}, ...)

    Example of a correct JSON template:

         [
           {
             "identifier": {
               "name": "${1}",
               "domain": {
                 "name": "${2}",
                 "community": {
                   "name": "Some Community"
                 }
               }
             },
             "attributes" : {
                "00000000-0000-0000-0000-000000003115" : [ {
                  "value" : "${3}"
                } ],
                "00000000-0000-0000-0000-000000000222" : [ {
                  "value" : "${4}"
                } ]
             },
             "resourceType": "Asset"
           }
         ]

- ## Constructor Details

  - ### SynchronizationExcelInJobRequest

    public SynchronizationExcelInJobRequest()

- ## Method Details

  - ### builder

    public static SynchronizationExcelInJobRequest.SynchronizationExcelInJobRequestBuilder builder()

  - ### getSheetName

    public String getSheetName()
    The name of the Excel sheet.

    If the name is `null` and `sheetIndex` is `null`, the first sheet of the workbook will be used for the synchronization.

    If the name is `null` and `sheetIndex` is not `null`, the sheet with the index specified by value of `sheetIndex` will be used for the synchronization.

  - ### getSheetIndex

    public Integer getSheetIndex()
    The index of the Excel sheet.

    If the index is `null` and `sheetName` is `null`, the first sheet of the workbook will be used for the synchronization.

    If the index is `null` and `sheetName` is not `null`, the sheet with the name specified by value of `sheetName` will be used for the synchronization.

  - ### isHeaderRow

    public boolean isHeaderRow()
    Whether the first row of the synchronized Excel file is the header. The default value is `false`.

  - ### getTemplate

    public String getTemplate()
    The template that should be used for parsing and synchronizing the contents of the Excel file.

    There is one placeholder currently supported:

    - ${x} - refers to the x-th column in the Excel file, e.g. ${1}, ${2}, ...)

    Example of a correct JSON template:

         [
           {
             "identifier": {
               "name": "${1}",
               "domain": {
                 "name": "${2}",
                 "community": {
                   "name": "Some Community"
                 }
               }
             },
             "attributes" : {
                "00000000-0000-0000-0000-000000003115" : [ {
                  "value" : "${3}"
                } ],
                "00000000-0000-0000-0000-000000000222" : [ {
                  "value" : "${4}"
                } ]
             },
             "resourceType": "Asset"
           }
         ]

  - ### getFinalizationParameters

    public Map<SynchronizationJsonInJobRequest.SynchronizationJsonInJobRequestBuilder.CustomFinalizationParameter,String> getFinalizationParameters()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FullSynchronizationRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `FullSynchronizationRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `FullSynchronizationRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FullSynchronizationRequest`